aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-06-18 10:25:05 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-06-18 10:25:05 +0000
commit8fcd7302c604c4b79965324942c52bebc1f94f41 (patch)
treea34e11ff2a20d25cedd7e06fc84bac5166f3c4f1
parent6310ac5e5cdbd35f02f0ac573577e52a37ae68ee (diff)
downloadpaludis-8fcd7302c604c4b79965324942c52bebc1f94f41.tar.gz
paludis-8fcd7302c604c4b79965324942c52bebc1f94f41.tar.xz
Give a better error if DISTDIR isn't a directory
-rw-r--r--ebuild/builtin_fetch.bash2
1 files changed, 2 insertions, 0 deletions
diff --git a/ebuild/builtin_fetch.bash b/ebuild/builtin_fetch.bash
index 33a5772..8d9a081 100644
--- a/ebuild/builtin_fetch.bash
+++ b/ebuild/builtin_fetch.bash
@@ -19,6 +19,8 @@
builtin_fetch()
{
+ [[ -d "${DISTDIR}" ]] || die "DISTDIR \"${D}\" is not a directory"
+
local a nofetch unique_aa old_aa
for a in ${FLAT_SRC_URI} ; do
local aa=${a##*/}